foreach(var font in Data.Fonts)
{
	string font_name = font.Name.ToString().Substring(1,font.Name.ToString().Length-2);
	System.IO.Directory.CreateDirectory("FONTS");
	using(StreamWriter writer = new StreamWriter("FONTS"+System.IO.Path.DirectorySeparatorChar+font_name+".font.gmx")) {
		
		writer.WriteLine("<font>");
		
		writer.WriteLine("  <name>"+font.DisplayName.ToString().Substring(1,font.DisplayName.ToString().Length-2)+"</name>");
		writer.WriteLine("  <size>"+font.EmSize+"</size>");
		writer.WriteLine("  <bold>"+Convert.ToInt32(font.Bold)+"</bold>");
		writer.WriteLine("  <italic>"+Convert.ToInt32(font.Italic)+"</italic>");
		writer.WriteLine("  <ranges>");
		writer.WriteLine("    <range0>"+font.RangeStart+","+font.RangeEnd+"</range0>");
		writer.WriteLine("  </ranges>");
		
		writer.WriteLine("  <glyphs>");
		foreach(var glyph in font.Glyphs) {
			string glyphxml = "    <glyph character=\""+glyph.Character+"\" x=\""+glyph.SourceX+"\" y=\""+glyph.SourceY+"\" w=\""+glyph.SourceWidth+"\" h=\""+glyph.SourceHeight+"\" shift=\""+glyph.Shift+"\" offset=\""+glyph.Offset+"\"/>";
			writer.WriteLine(glyphxml);
		}
		writer.WriteLine("  </glyphs>");
		writer.WriteLine("  <image>"+font_name+".png</image>");
		writer.WriteLine("</font>");
		
	}
}